org.apache.tiles.web.jsp.taglib

## Class AddListAttributeTag

- java.lang.Object
- - javax.servlet.jsp.tagext.SimpleTagSupport
  - - org.apache.tiles.web.jsp.taglib.AddListAttributeTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.SimpleTag

      public class AddListAttributeTag
      extends javax.servlet.jsp.tagext.SimpleTagSupport

  Declare a list that will be pass as an attribute.

  Declare a list that will be pass as an attribute . List elements are added using the tag 'addAttribute' or 'addListAttribute'. This tag can only be used inside 'insertTemplate', 'insertDefinition' or 'definition' tag.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddListAttributeTag()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doTag()`
    `String` | `getRole()` Getter for role property.
    `void` | `setRole(String role)` Setter for role property.

    - ### Methods inherited from class javax.servlet.jsp.tagext.SimpleTagSupport

      `findAncestorWithClass, getJspBody, getJspContext, getParent, setJspBody, setJspContext, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddListAttributeTag

          public AddListAttributeTag()

  - ### Method Detail

    - #### getRole

          public String getRole()

      Getter for role property.
      Returns:
        The comma-separated list of roles that can use the list attribute.

    - #### setRole

          public void setRole(String role)

      Setter for role property.
      Parameters:
        `role` - The comma-separated list of roles that can use the list attribute.

    - #### doTag

          public void doTag()
                     throws javax.servlet.jsp.JspException,
                            IOException

      Specified by:
        `doTag` in interface `javax.servlet.jsp.tagext.SimpleTag`
      Overrides:
        `doTag` in class `javax.servlet.jsp.tagext.SimpleTagSupport`
      Throws:
        `javax.servlet.jsp.JspException`
        `IOException`

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.